using APT.Infrastructure.EF.Map;
using APT.BaseData.Domain.Entities.FM;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;

namespace APT.BaseData.Data.Mapping.FM
{
    public class FMWorkstageExtStageMap : APTEntityBaseMap<T_FM_WORKSTAGE_EXT_STAGE>
    {
        public override void Configure(EntityTypeBuilder<T_FM_WORKSTAGE_EXT_STAGE> builder)
        {
            base.Configure(builder);
            builder.Property(t => t.EXT_STAGE_NAME).HasMaxLength(200);
            builder.HasOne(t => t.Nav_Workstage).WithMany(t=>t.Nav_ExtStages).HasForeignKey(t => t.WORKSTAGE_ID);
        }

    }
}
